Subject: Re: [PATCH v2 net-next] net: dsa: sja1105: stop using priv->vlan_aware

From: [email-masked]
Date: Thu, 23 Sep 2021 12:00:09 +0000

Hello:

This patch was applied to netdev/net-next.git (refs/heads/master):

On Wed, 22 Sep 2021 21:36:55 +0300 you wrote:
> Now that the sja1105 driver is finally sane enough again to stop having
> a ternary VLAN awareness state, we can remove priv->vlan_aware and query
> DSA for the ds->vlan_filtering value (for SJA1105, VLAN filtering is a
> global property).
> 
> Also drop the paranoid checking that DSA calls ->port_vlan_filtering
> multiple times without the VLAN awareness state changing. It doesn't,
> the same check is present inside dsa_port_vlan_filtering too.
> 
> [...]

Here is the summary with links:
  - [v2,net-next] net: dsa: sja1105: stop using priv->vlan_aware
    https://git.kernel.org/netdev/net-next/c/9aad3e4ede9b

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html